Package org.opensaml.xmlsec

# Interface SignatureValidationParametersResolver

All Superinterfaces:
  `Resolver<SignatureValidationParameters,CriteriaSet>`

All Known Implementing Classes:
  `BasicSignatureValidationParametersResolver`, `StaticSignatureValidationParametersResolver`

public interface SignatureValidationParametersResolver extends Resolver<SignatureValidationParameters,CriteriaSet>
An interface for components which resolve `SignatureValidationParameters` based on a `CriteriaSet`.

## Method Summary

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`